mgetty cnd-program CallerName buffer overflow

mgetty-cndprogram-callername-bo (11072) The risk level is classified as HighHigh Risk

Description:

The mgetty package is vulnerable to a buffer overflow in the cnd-program, caused by improper bounds checking of the CallerName string. By calling cnd-program with an overly long CallerName, a remote attacker could overflow a buffer and execute arbitrary code on the system or cause the program to crash.


Consequences:

Gain Access

Remedy:

Upgrade to the latest version of mgetty (1.1.29 or later), available from the mgetty Web page. See References.

For Red Hat Linux:
Upgrade to the latest mgetty package, as listed below. Refer to RHSA-2003:036-12 for more information. See References.

Red Hat 7.1 for iSeries and pSeries, 7.2, and 7.3: 1.1.30-0.7 or later
Red Hat 8.0: 1.1.30-0.8.0 or later

For Gentoo Linux:
Upgrade to the latest version of mgetty (1.1.30 or later), as listed in Gentoo Linux Security Announcement 200304-09. See References.

For Caldera OpenLinux 3.1.1 (Workstation and Server):
Upgrade to the latest version of mgetty (1.1.22_Aug17-13 or later), as listed in SCO Security Advisory CSSA-2003-021.0 CSSA-2003-021.0. See References.

For Turbolinux:
Upgrade to the latest mgetty package (1.1.30-2 or 1.1.30-3 or later), as listed in Turbolinux Security Advisory TLSA-2003-37. See References.

>

For other distributions:
Contact your vendor for upgrade or patch information.

References:

Platforms Affected:

  • Gentoo Linux
  • Gert Doering mgetty prior to 1.1.29
  • MandrakeSoft Mandrake Linux 8.2 PPC
  • MandrakeSoft Mandrake Linux 8.2
  • MandrakeSoft Mandrake Linux 9.0
  • MandrakeSoft Mandrake Linux Corporate Server 2.1 X86_64
  • MandrakeSoft Mandrake Linux Corporate Server 2.1
  • MandrakeSoft Mandrake Multi Network Firewall 8.2
  • RedHat Enterprise Linux 2.1 AS
  • RedHat Linux 7
  • RedHat Linux 7.1
  • RedHat Linux 7.1 for iSeries
  • RedHat Linux 7.1 for pSeries
  • RedHat Linux 7.2
  • RedHat Linux 7.3
  • RedHat Linux 8.0
  • RedHat Linux Advanced Workstation 2.1 Itanium
  • SCO Caldera OpenLinux Server 3.1.1
  • SCO Caldera OpenLinux Workstation 3.1.1
  • Turbolinux Turbolinux 7 Server
  • Turbolinux Turbolinux 7 Workstation
  • Turbolinux Turbolinux 8 Server
  • Turbolinux Turbolinux 8 Workstation
  • Turbolinux Turbolinux Advanced Server 6
  • Turbolinux Turbolinux Server 6.1
  • Turbolinux Turbolinux Server 6.5
  • Turbolinux Turbolinux Workstation 6.0

Reported:

Nov 25, 2002

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page